/*
 *  This file is a part of Geeqie project (https://www.geeqie.org/).
 *  Copyright (C) 2008 - 2022 The Geeqie Team
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef _INCLUDE_CONFIG_H
#define _INCLUDE_CONFIG_H

#define DEBUG

/* Directories defines */

/* Location of application data */
#define GQ_APPDIR "share/geeqie"

/* Location of helper scripts and executables */
#define GQ_BINDIR "lib/geeqie"

/* Location of documentation files */
#define GQ_HELPDIR "share/doc/geeqie"

/* Location of html documentation */
#define GQ_HTMLDIR "share/doc/geeqie/html"

/* Define the location where the catalogs will be installed */
#define GQ_LOCALEDIR "share/locale"


/* Optional project features */

/* Name of gettext file */
/*#mesondefine GETTEXT_PACKAGE*/

/* Define to enable archive support */
#define HAVE_ARCHIVE 1

/* Define to enable use of clutter library */
#define HAVE_CLUTTER 1

/* Define to enable DjVu support */
#define HAVE_DJVU 1

/* Define to enable exiv2 support */
#define HAVE_EXIV2 1

/* Define to enable ffmpegthumbnailer support */
#define HAVE_FFMPEGTHUMBNAILER 1

/* Define if ffmpegthumbnailer supports embedded metadata */
#define HAVE_FFMPEGTHUMBNAILER_METADATA

/* Define if ffmpegthumbnailer supports raw RGB output */
#define HAVE_FFMPEGTHUMBNAILER_RGB 1

/* Define if ffmpegthumbnailer supports specifying size by width/height */
#define HAVE_FFMPEGTHUMBNAILER_WH 1

/* Define to enable heif support */
#define HAVE_HEIF 1

/* Define to enable j2k support */
#define HAVE_J2K 1

/* Define to enable use of custom jpeg loader */
#define HAVE_JPEG 1

/* Define to enable JPEG XL support */
/* #undef HAVE_JPEGXL */

/* color profiles with lcms */
#define HAVE_LCMS 1

/* Define to enable use of lcms2 */
#define HAVE_LCMS2 1

/* Define to enable use of maps */
#define HAVE_LIBCHAMPLAIN 1

/* Define to enable use of maps */
#define HAVE_LIBCHAMPLAIN_GTK 1

/* Define to 1 if LIRC must be used */
#define HAVE_LIRC 1

/* Define to enable lua support */
#define HAVE_LUA 1

/* Define if _NL_TIME_FIRST_WEEKDAY is available */
#define HAVE__NL_TIME_FIRST_WEEKDAY 1

/* Define to enable pdf support */
#define HAVE_PDF 1

/* Define to enable libraw support */
#define HAVE_RAW 1

/* Define to enable libgspell support */
#define HAVE_SPELL 1

/* Define to enable use of custom tiff loader */
#define HAVE_TIFF 1

/* Define to enable webp support */
#define HAVE_WEBP 1


/* Version number of package */
#define VERSION "1.7+git20220716-5ef5596d"

/* Name of package */
#define PACKAGE "geeqie"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT "geeqie@freelists.org"

/* Define to the full name of this package. */
#define PACKAGE_NAME "geeqie"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "1.7+git20220716-5ef5596d"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "geeqie"

/* Define to the home page for this package. */
#define PACKAGE_URL "https://www.geeqie.org/"

/* Define to the version of this package. */
#define PACKAGE_VERSION "1.7+git20220716-5ef5596d"


/* Define if your <locale.h> file defines LC_MESSAGES. */
#define HAVE_LC_MESSAGES 1 no longr requierd

/* Define to 1 if you have the <locale.h> header file. */
#define HAVE_LOCALE_H 1 not required

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdio.h> header file. */
#define HAVE_STDIO_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the `strverscmp' function. */
#define HAVE_STRVERSCMP 1 used

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the `access' function. */
#define HAVE_ACCESS 1

/* Define to 1 if you have the `bind_textdomain_codeset' function. */
#define HAVE_BIND_TEXTDOMAIN_CODESET 1

/* Define to 1 if you have the Mac OS X function CFLocaleCopyCurrent in the
   CoreFoundation framework. */
/* #undef HAVE_CFLOCALECOPYCURRENT */

/* Define to 1 if you have the Mac OS X function CFPreferencesCopyAppValue in
   the CoreFoundation framework. */
/* #undef HAVE_CFPREFERENCESCOPYAPPVALUE */

/* Define to 1 if you have the `dcgettext' function. */
#define HAVE_DCGETTEXT 1

/* Define to 1 if you have the `fflush' function. */
#define HAVE_FFLUSH 1

/* Define to 1 if you have the `fsync' function. */
#define HAVE_FSYNC 1

/* Define if the GNU gettext() function is already present or preinstalled. */
#define HAVE_GETTEXT 1

/* Define if you have gthread library */
#define HAVE_GTHREAD 1 used

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Build on native win32 OS */
/* #undef OS_WIN32 */

/* always defined to indicate that i18n is enabled */
#define ENABLE_NLS 1

/* Build on win32 OS */
/* #undef PLATFORM_WIN32 */

/* Define to 1 if all of the C90 standard headers exist (not just the ones
   required in a freestanding environment). This macro is provided for
   backward compatibility; new code need not use it. */
#define STDC_HEADERS 1

/* Number of bits in a file offset, on hosts where this is settable. */
/* #undef _FILE_OFFSET_BITS */

/* Define for large files, on AIX-style hosts. */
/* #undef _LARGE_FILES */

#endif
